file-roller (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 12:54:37 +0200

file-roller (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 20:36:02 +0200

file-roller (3.21.91-1) unstable; urgency=medium

  * New upstream development release.
  * Drop debian/patches/02_Remove-nautilus-extension.patch, merged upstream.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 19:47:40 +0200

file-roller (3.21.90-2) unstable; urgency=medium

  * Drop Build-Depends on libnautilus-extension-dev. The nautilus extension
    has been removed upstream as this functionality is now built directly into
    nautilus.
  * Drop overrides for dh_install and dh_makeshlibs, no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Aug 2016 16:05:45 +0200

file-roller (3.21.90-1) experimental; urgency=medium

  * New upstream beta release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Aug 2016 11:07:44 +0200

file-roller (3.20.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Aug 2016 10:50:27 +0200

file-roller (3.20.2-3) unstable; urgency=medium

  * Demote unar to Suggests as we don't want to pull in a complete gnustep
    runtime environment by default. Extracting rar archives is still possible
    via libarchive.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Jul 2016 16:01:27 +0200

file-roller (3.20.2-2) unstable; urgency=medium

  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages 

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 01:29:07 +0200

file-roller (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on intltool to (>= 0.50.1) as per configure.ac.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 22:09:32 +0200

file-roller (3.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 18:07:48 +0200

file-roller (3.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 15:15:29 +0100

file-roller (3.19.91-1) experimental; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Andreas Henriksson ]
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Mar 2016 21:27:33 +0100

file-roller (3.16.4-1) unstable; urgency=medium

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Sep 2015 18:38:57 +0200

file-roller (3.16.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Jun 2015 22:30:19 +0200

file-roller (3.16.2-2) unstable; urgency=medium

  * Drop the Depends on nautilus-data. It's no longer strictly necessary since
    file-roller has been updated to not crash if the nautilus GSettings schema
    is not present. This makes file-roller more suitable for non-GNOME
    environments, where nautilus is not wanted. (Closes: #788690)

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jun 2015 14:56:52 +0200

file-roller (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete --disable-scrollkeeper configure flag.
  * Drop obsolete Replaces from pre-wheezy.
  * Point Homepage: URL to the more up-to-date GNOME wiki page.
  * Bump debhelper compatibility level to 9.
  * Use dh-autoreconf --as-needed instead of patching ltmain.sh.

 -- Michael Biebl <biebl@debian.org>  Thu, 28 May 2015 02:59:25 +0200

file-roller (3.14.1-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Oct 2014 22:17:00 +0200

file-roller (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 23:08:01 +0200

file-roller (3.13.91-1) experimental; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 07 Sep 2014 14:43:42 +0200

file-roller (3.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/use-new-desktop-filename.patch
    - now included in new upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 19:12:23 +0200

file-roller (3.12.1-2) unstable; urgency=medium

  * Add debian/patches/use-new-desktop-filename.patch (Closes: #746366)
    - from upstream git, fix for problem introduced in 3.12.1

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Apr 2014 18:16:42 +0200

file-roller (3.12.1-1) unstable; urgency=medium

  * Add a recommends on gnome-icon-theme-symbolic (Closes: #745594)
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 26 Apr 2014 18:23:51 +0200

file-roller (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 25 Mar 2014 13:05:56 +0100

file-roller (3.11.90-1) experimental; urgency=low

  [ Jackson Doak ]
  * New upstream release
    - Bump B-dep version of glib, gtk

  [ Andreas Henriksson ]
  * New upstream release.
  * Build-depend on desktop-file-utils for .desktop syntax validation

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Feb 2014 21:49:42 +0100

file-roller (3.8.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Aug 2013 15:05:04 +0200

file-roller (3.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jul 2013 23:10:09 +0200

file-roller (3.8.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 May 2013 13:13:26 +0200

file-roller (3.8.0-1) experimental; urgency=low

  [ Thomas Bechtold ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 04 Apr 2013 13:35:15 +0200

file-roller (3.7.92-1) experimental; urgency=low

  * New upstream release.
  * Drop debian/patches/git_handle_cab.patch, from upstream now in release.
  * Bump libgtk-3-dev build-dependency to (>= 3.6.0)
    - source uses GtkMenuButton which is new in 3.6

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 25 Mar 2013 14:07:41 +0100

file-roller (3.6.3-1) experimental; urgency=low

  [ Benjamin Drung ]
  * Team upload.
  * New upstream release.
  * Drop 11_search_as_you_type.patch (fixed upstream).
  * Replace build-depends on gnome-doc-utils with yelp-tools.
  * Build-Depends on libarchive-dev and libnotify-dev.
  * Recommend unar instead of non-free unrar | p7zip-rar (Closes: #620650,
    LP: #965757, #1025588).
  * Build depend on libjson-glib-dev (needed for unar support).
  * Drop suggesting binutils (for ar) and cpio. libarchive is used instead.
  * Document support for .cab and .xar (through libarchive).
  * debian/patches/git_handle_cab.patch: List vnd.ms-cab-compressed as
    supported type, thanks Mantas Kriaučiūnas (LP: #1064377)

  [ Jeremy Bicha ]
  * debian/control.in:
    - Drop scrollkeeper build-depends
    - Recommend yelp

 -- Benjamin Drung <bdrung@debian.org>  Wed, 05 Dec 2012 15:46:34 +0100

file-roller (3.4.2-1) unstable; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Mon, 14 May 2012 23:43:37 +0200

file-roller (3.4.1-1) unstable; urgency=low

  * New upstream translation release.
  * Update debian/copyright using the machine-readable copyright format 1.0.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Apr 2012 21:51:58 +0200

file-roller (3.4.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Mar 2012 22:25:49 +0200

file-roller (3.3.92-1) unstable; urgency=low

  * New upstream development release.
  * Use debian/file-roller.manpages to install the man page instead of a
    cdbs-specific macro.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Mar 2012 07:37:58 +0100

file-roller (3.3.91-1) unstable; urgency=low

  * New upstream release.
  * Refresh 99_ltmain_as-needed.patch with newer copy in dh-autoreconf.
  * Update to Standards-Version 3.9.3, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 09 Mar 2012 19:32:38 +0100

file-roller (3.2.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Nov 2011 01:39:44 +0100

file-roller (3.2.2-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Nov 2011 22:49:08 +0100

file-roller (3.2.1-1) experimental; urgency=low

  * New upstream release.
  * Enable PackageKit support.
  * Bump Build-Depends to libglib2.0-dev (>= 2.29.14).
  * Demote rpm2cpio to Suggests.
  * Add 01_package_names.patch to fix PK package name matches for xz and
    rpm files.

 -- Jordi Mallach <jordi@debian.org>  Sun, 13 Nov 2011 22:39:33 +0100

file-roller (3.0.2-2) unstable; urgency=low

  [ Josselin Mouette ]
  * file-roller.mime: dropped. We don’t do necromancy anymore.
  * Drop desktop-check-mime-types call too.

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * debian/watch:
    - Switch to .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Oct 2011 22:43:53 +0200

file-roller (3.0.2-1) experimental; urgency=low

  * New upstream release.
  * debian/watch: Switch to .bz2 tarballs.
  * Refresh debian/patches/11_search_as_you_type.patch.
  * Drop debian/patches/90_relibtoolize.patch, unused.
  * Drop initial article from short description.
  * Bump debhelper compatibility level to 8. Update Build-Depends accordingly.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Jun 2011 20:51:52 +0200

file-roller (3.0.0-1) experimental; urgency=low

  * New upstream stable release.
  * Bump Build-Dependencies to new requirements.
  * Enable libmagic support.
  * Depend on nautilus-data, as file-roller relies on nautilus' gsettings
    schemas.
  * Drop ancient conflict on file-roller2.
  * Drop dependencies on tar and gzip (essential) and make bzip2 unversioned,
    as the version requirements have been available in Debian since
    2000/2001.
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Apr 2011 11:56:29 +0200

file-roller (2.91.93-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sun, 27 Mar 2011 12:41:34 +0530

file-roller (2.91.92-1) experimental; urgency=low

  * New upstream release.

  [ Josselin Mouette ]
  * 11_search_as_you_type.patch: patch from Siegfried-Angel Gevatter 
    Pujals. Allow search-as-you-type in the file-roller window.
    Closes: #598131.

  [ Frederic Peters ]
  * debian/control.in:
    + build-deps: updateded: switched to libgtk-3-dev, removed libgconf,
      bumped libnautilus-extension-dev.
  * debian/patches/:
    + 01_rar_crasher.patch: removed, upstream
    + 02_escape_newlines.patch: removed, upstream
    + 03_tar_xz_update.patch: removed, upstream
    + 10_command_dpkg.patch: removed, upstream
  * debian/file-roller.mime:
    + added application/x-lrzip
    + added application/x-lrzip-compressed-tar
    + added application/x-ms-wim

 -- Frederic Peters <fpeters@debian.org>  Thu, 24 Mar 2011 22:39:03 +0100

file-roller (2.30.2-2) unstable; urgency=low

  * Only suggest lzma. Closes: #595117.
  * Include some patches sitting in the upstream repository:
    + 01_rar_crasher.patch: fix a crasher with the rar command.
    + 02_escape_newlines.patch: handle the case of files with newlines 
      in their name. 
    + 03_tar_xz_update.patch: update .tar.xz files without losing the 
      data in them. Closes: #594839.

 -- Josselin Mouette <joss@debian.org>  Sat, 18 Sep 2010 13:37:15 +0200

file-roller (2.30.2-1) unstable; urgency=low

  * New upstream translation release.
  * 90_relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Fri, 23 Jul 2010 18:22:49 +0200

file-roller (2.30.1.1-2) unstable; urgency=low

  * 10_command_dpkg.patch: new patch. Add support for .deb files using 
    dpkg. Closes: #515175.
  * 90_relibtoolize.patch: re-run the autotools on top of that.

 -- Josselin Mouette <joss@debian.org>  Thu, 10 Jun 2010 04:56:03 +0200

file-roller (2.30.1.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * debian/patches/01_nodbus_build.patch
    - Removed, merged upstream.
  * debian/control.in
    - Bump Standards-Version to 3.8.4. No further changes.
    - Add Vcs-* fields.

 -- Michael Biebl <biebl@debian.org>  Tue, 04 May 2010 18:17:28 +0200

file-roller (2.30.0-2) unstable; urgency=low

  * 01_nodbus_build.patch: new patch. Fix FTBFS with PackageKit support 
    disabled.

 -- Josselin Mouette <joss@debian.org>  Thu, 08 Apr 2010 09:27:05 +0200

file-roller (2.30.0-1) unstable; urgency=low

  * New upstream release.
  * Disable packagekit support.

 -- Josselin Mouette <joss@debian.org>  Wed, 07 Apr 2010 22:22:39 +0200

file-roller (2.28.2-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Dec 2009 12:56:53 +0100

file-roller (2.28.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version is 3.8.3, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 20:50:03 +0200

file-roller (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * debian/file-roller.mime: add new supported formats lzip and xz.
  * debian/control{,in}: mention new formats in description,
    and suggest lzip and xz-utils, bump build-dependency on gtk+ to >= 2.16.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2009 18:37:32 +0200

file-roller (2.26.3-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/20_am-maintainer-mode.patch
    debian/patches/70_autotools.patch:
    - Removed, no point in keeping them now that we don't patch
      configure.ac or any makefile.

  [ Josselin Mouette ]
  * Recommend rpm2cpio instead of rpm. Closes: #541856.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Mon, 17 Aug 2009 00:37:57 +0200

file-roller (2.26.2-1) unstable; urgency=low

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    - Remove libglade, libgnome2 and libgnomeui Build-Depends.
  * debian/patches/70_autotools.patch:
    - Update to apply cleanly.

  [ Josselin Mouette ]
  * New upstream release.
  * 70_autotools.patch: regenerated for the new version.
  * Remove some autogenerated files in the clean target, the make the 
    build fail.

 -- Josselin Mouette <joss@debian.org>  Thu, 11 Jun 2009 23:36:19 +0200

file-roller (2.24.3-1) unstable; urgency=low

  * New upstream release.
  * Standards version is 3.8.1.
  * Pass --no-act to dh_makeshlibs.

 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 14:34:20 +0200

file-roller (2.24.2-1) experimental; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Dec 2008 16:44:14 +0100

file-roller (2.24.1-1) experimental; urgency=low

  * New upstream release.
    + Can add empty directories to archives. Closes: #420961.
  * Update build-dependencies.
  * Suggest rzip and unalz.
  * Depend on p7zip-full, since 7z can now be used for zip, rar and iso
    archives now.
  * Let zip, unzip and unrar in Suggests for jar and cbr archives, as 
    well as arj for arj write support. Add p7zip-rar as an alternative 
    for unrar.
  * Drop genisoimage Recommends.
  * Move sharutils, ncompress, lzop, unace and cpio to Suggests.
    Closes: #501083.
  * Add binutils (for ar), rzip, unalz and zoo to Suggests.
    Closes: #455672.
  * 02_nautilus_2.20.patch: dropped, we build against nautilus 2.22 now.
  * 20_am-maintainer-mode.patch: updated.
  * 70_autotools.patch: regenerated for the new version.
  * Recommend gvfs for gtk_show_uri.
  * file-roller.mime: update for the new list of MIME types.
  * file-roller.1: fix whatis entry.

 -- Josselin Mouette <joss@debian.org>  Mon, 24 Nov 2008 00:32:32 +0100

file-roller (2.22.4-2) unstable; urgency=low

  * Add "maintainer mode" support; closes: #494237.
    - New patch, 20_am-maintainer-mode, call AM_MAINTAINER_MODE in
      configure.in.
    - Replace patch 70_autoconf with 70_autotools which is generated by
      aclocal-1.10 && autoconf && automake-1.10 && rm -rf autom4te.cache.
  * Refresh patch 99_ltmain_as-needed to apply cleanly.

 -- Loic Minier <lool@dooz.org>  Fri, 08 Aug 2008 01:52:00 +0200

file-roller (2.22.4-1) unstable; urgency=low

  [ Josselin Mouette ]
  * 99_ltmain_as-needed.patch: fix to apply with -p1. Closes: #485342.
  * 01_menu_change.patch: remove this patch that causes file-roller not 
    show up in the menu, there is really no point in doing so, unlike 
    eog or evince. Closes: #484033.

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 10:51:52 +0200

file-roller (2.22.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * 02_nautilus_2.20.patch: revert the gio migration of the nautilus 
    extension so that it can still build against nautilus 2.20.
  * 70_autoconf.patch: re-run autoconf on top of that.

 -- Josselin Mouette <joss@debian.org>  Wed, 28 May 2008 15:49:16 +0200

file-roller (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 12:38:46 +0200

file-roller (2.22.0-3) unstable; urgency=low

  * debian/patches/02_create-tar-archives.patch: Dropped, it causes
    existing files to be deleted from an archive when adding new files,
    which is not what we want (reopens: #453096).

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 18 Mar 2008 18:59:56 +0100

file-roller (2.22.0-2) unstable; urgency=low

  * debian/patches/02_create-tar-archives.patch:
    + Don't print a misleading error message when creating tar files.
      Patch by Andreas Henriksson <andreas@fatal.se> (Closes: #453096).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Mar 2008 21:40:42 +0100

file-roller (2.22.0-1) unstable; urgency=low

  * New upstream stable release, adds support for lzma archives
    (closes: #455666).
  * debian/control.in:
    + Add recommends on lzma.
    + Update long description accordingly.
  * debian/file-roller.mime: Add 'application/x-lzma' and
    'application/x-lzma-compressed-tar'.
  * debian/copyright: Add copyright notice.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 15 Mar 2008 13:48:29 +0100

file-roller (2.20.3-1) unstable; urgency=low

  * New upstream bugfix release with translation updates:
    + debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.
    + Use the Homepage field.
  * debian/file-roller.menu:
    + Fix section.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Jan 2008 22:04:27 +0100

file-roller (2.20.2-1) unstable; urgency=low

  * New upstream bugfix release with translation updates.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Nov 2007 05:37:02 +0100

file-roller (2.20.1-1) unstable; urgency=low

  [ Sven Arvidsson ]
  * Rewrote the man page (Closes: #443812)

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/file-roller.menu:
    + Fix section of the menu file.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2007 10:43:55 +0200

file-roller (2.20.0-1) unstable; urgency=low

  [ Loic Minier ]
  * Build-depend on gnome-pkg-tools >= 0.12 and call desktop-check-mime-types
    to check for missing MIME types; add missing MIME types to
    debian/files-roller.mime, but without the full test for the supporting
    binary.
  * Recommend arj instead of suggesting it; reopens: #425104; see #414408.

  [ Josselin Mouette ]
  * Regenerate gnome-doc-utils.make if it is missing. As we already
    build-depend on gnome-doc-utils, just copy it from /usr/share.
    Closes: #442563.
  * Only copy gnome-doc-utils.make if configure.in is present.
  * Move menu entry to "Applications/File Management".
  * New upstream release.
    + Allows to create archives starting with "#". Closes: #424873.
    + Uses file content to guess the MIME type. Closes: #352875.
  * Minor build-depend fixes.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 01:08:46 +0200

file-roller (2.18.4-1) unstable; urgency=low

  [ Josselin Mouette ]
  * 99_ltmain_as-needed.patch: get --as-needed back to work.

  [ Loic Minier ]
  * Cleanups.
  * Drop dh_installmime call as the cdbs build-dep is >= 0.4.35.
  * Include licensing in copyright file.
  * New upstream stable release; translation.

 -- Loic Minier <lool@dooz.org>  Thu, 05 Jul 2007 20:30:02 +0200

file-roller (2.18.3-1) unstable; urgency=low

  [ Loic Minier ]
  * Recommend genisoimage instead of mkisofs; thanks Paul Cupis;
    closes: #422703.

  [ Josselin Mouette ]
  * Suggest arj instead of recommending it (closes: #425104).
  * New upstream translation release.

 -- Josselin Mouette <joss@debian.org>  Sun, 03 Jun 2007 13:15:37 +0200

file-roller (2.18.2-1) unstable; urgency=low

  [ Sven Arvidsson ]
  * Recommend gnome-icon-theme (Closes: #419377)

  [ Loic Minier ]
  * New upstream stable release.

 -- Loic Minier <lool@dooz.org>  Sun, 06 May 2007 11:52:52 +0200

file-roller (2.18.1-1) unstable; urgency=low

  * New upstream stable release; translations.

 -- Loic Minier <lool@dooz.org>  Mon, 16 Apr 2007 13:23:05 +0200

file-roller (2.18.0-3) unstable; urgency=low

  * Upload to unstable; drop check-dist include.
  * Wrap build-deps and deps.
  * Update URL in copyright.
  * Set LDFLAGS directly instead of via DEB_CONFIGURE_SCRIPT_ENV; build-dep on
    cdbs >= 0.4.41.
  * Cleanups.

 -- Loic Minier <lool@dooz.org>  Sat, 14 Apr 2007 22:44:53 +0200

file-roller (2.18.0-2) experimental; urgency=low

  * Merge 2.14.4-3; SVN r8331:8950.

 -- Loic Minier <lool@dooz.org>  Sat, 17 Mar 2007 12:38:34 +0100

file-roller (2.18.0-1) experimental; urgency=low

  * New upstream major stable release; fixes and translations.
    - Recommend unace and cpio for ACE and CPIO support.
    - Refresh patch 01_menu_change.
    - Drop patch 02_recognize_7zr, merged upstream.

 -- Loic Minier <lool@dooz.org>  Sat, 17 Mar 2007 11:52:01 +0100

file-roller (2.16.3-1) experimental; urgency=low

  * New upstream stable release; translations.

 -- Loic Minier <lool@dooz.org>  Sat, 17 Mar 2007 11:30:36 +0100

file-roller (2.16.2-2) experimental; urgency=low

  [ Sven Arvidsson ]
  * Merge 2.14.4-3

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Bump up libgnomeui-dev build-dep to >= 2.16.0-2 to get a version
    transitionned for libgtk2.0-dev 2.10.

 -- Loic Minier <lool@dooz.org>  Sun,  4 Feb 2007 14:35:29 +0100

file-roller (2.16.2-1) experimental; urgency=low

  [ Loic Minier ]
  * Fix watch file to use HTTP.

  [ Josselin Mouette ]
  * New upstream translation release.

 -- Josselin Mouette <joss@debian.org>  Sun, 26 Nov 2006 22:40:04 +0100

file-roller (2.16.0-1) experimental; urgency=low

  * New upstream release.
  * 01_menu_change.patch: updated for the new version.
  * lintian.override: removed, no longer relevant.
  * Bump some build-dependencies appropriately.

 -- Josselin Mouette <joss@debian.org>  Sun, 10 Sep 2006 14:55:09 +0200

file-roller (2.14.4-3) unstable; urgency=low

  [ Sven Arvidsson ]
  * Recommend ncompress (Closes: #377057)

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.

 -- Loic Minier <lool@dooz.org>  Sat, 13 Jan 2007 23:27:13 +0100

file-roller (2.14.4-2) unstable; urgency=low

  * Accept 7zr as a valid 7z compressor/decompressor (Closes:#384459)
  * Depend on p7zip | p7zip-full to accomodate the 7zip packages split
  * Switch to quilt for patches handling

 -- Clément Stenac <zorglub@debian.org>  Thu, 24 Aug 2006 22:29:37 +0100

file-roller (2.14.4-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file to track all stable releases, not 2.12.
  * Bump up Standards-Version to 3.7.2.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Sat, 12 Aug 2006 23:20:52 +0200

file-roller (2.14.3-1) unstable; urgency=low

  * New upstream release (bugfix and translation update).

  Josselin Mouette <joss@debian.org>:
  * Add a Replaces: to old gnome-icon-theme versions (closes: #365542).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 30 May 2006 20:52:44 +0200

file-roller (2.14.2-1) unstable; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 29 Apr 2006 12:21:54 +0200

file-roller (2.14.0-1) unstable; urgency=low

  [Loïc Minier]
   * Add support for ISO images, thanks Daniel Kahn Gillmor. (Closes: #359828)
     - Add a Recommends on mkisofs.
       [debian/control, debian/control.in]
     - Update description.
       [debian/control, debian/control.in]

  [Clément Stenac]
   * New upstream release
     - Fixes issue with ZIP passwords (Closes:#342378)
   * Update description

 -- Clément Stenac <zorglub@debian.org>  Sat,  1 Apr 2006 15:29:37 +0100

file-roller (2.12.3-1) unstable; urgency=low

  * New upstream translations update release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed,  8 Feb 2006 21:22:23 +0100

file-roller (2.12.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Sun,  8 Jan 2006 14:34:31 +0100

file-roller (2.12.2-1) experimental; urgency=low

  * New upstream release

 -- Guilherme de S. Pastore <guilherme.pastore@terra.com.br>  Wed, 30 Nov 2005 15:52:20 -0200

file-roller (2.12.1-2) experimental; urgency=low

  * Update watch file. [debian/watch]
  * file-roller now Recommends p7zip but only shows this file-type if it is
    installed. (Closes: #328065)
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Fri, 11 Nov 2005 14:01:18 +0100

file-roller (2.12.1-1) experimental; urgency=low

  [ Clément Stenac ]
  * New upstream version  
    * Don't update scrollkeeper during package build
    * Adapt menu entry patch to new upstream layout

  [ Loïc Minier ]
  * Revert the move of lha from Suggests to Recommends since lha is non-free.
    [debian/control, debian/control.in]

 -- Clément Stenac <zorglub@debian.org>  Tue,  6 Sep 2005 11:23:01 +0200

file-roller (2.10.4-2) unstable; urgency=low

  * Clément Stenac
    * Improve description
    * Depend on zip and unzip instead of merely suggesting (Closes:#261675)
    * Recommend all free format handlers (all but unrar), so that 
      aptitude and co users get them
    * Bump standards version to 3.6.2 (no changes required)
 
 -- Clément Stenac <zorglub@debian.org>  Sat,  9 Jul 2005 16:45:30 +0200

file-roller (2.10.4-1) unstable; urgency=low

  * Sebastien Bacher:
    * New upstream version.
  * Josselin Mouette:
    * Don't overwrite DEB_CONFIGURE_SCRIPT_ENV completely.
    * Pass --as-needed to ld.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  1 Jul 2005 23:41:20 +0200

file-roller (2.10.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 11 Jun 2005 22:00:11 +0200

file-roller (2.10.3-1) experimental; urgency=low

  * New upstream version.
  * file-roller.postinst: removed, dh_desktop handles this.
  * file-roller.dirs: removed, unuseful.
  * file-roller.docs: removed, cdbs handles this.
  * file-roller.{xpm,install,menu}: use a 32x32 xpm icon.
  * rules: don't call ldconfig.
  * control.in:
    + Remove upstream author name (closes: #305618).
    + Build-depend on debhelper 4.1 for cdbs.

 -- Josselin Mouette <joss@debian.org>  Thu, 12 May 2005 20:40:13 +0200

file-roller (2.10.2-1) experimental; urgency=low

  * New upstream version.
  * debian/patches/01_move-to-accessories-menu.diff:
    - Move the Archive Manager icon to the Accessories menu (Closes: #255232).

 -- Sebastien Bacher <seb128@debian.org>  Fri,  6 May 2005 11:09:37 +0200

file-roller (2.10.0-1) experimental; urgency=low

  * New upstream version.
  * debian/file-roller.postinst:
    - updated.
  * debian/patches/01_hidden.patch:
    - fixed with the new version.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  8 Apr 2005 21:58:37 +0200

file-roller (2.8.4-2) unstable; urgency=low

  * Rebuilt for the libhowl transition (Closes: #298808).

 -- Sebastien Bacher <seb128@debian.org>  Thu, 10 Mar 2005 19:57:16 +0100

file-roller (2.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 15 Feb 2005 19:10:52 +0100

file-roller (2.8.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 19 Nov 2004 15:53:31 +0100

file-roller (2.8.3-1) experimental; urgency=low

  * New upstream bugfix release.

  Sebastien Bacher <seb128@debian.org>:
  * debian/patches/01_hidden.patch:
    - add hidden files to the archives too (Closes: #266534).
  * debian/control.in:
    - updated the Build-Depends on CDBS to use dh_desktop.
  * debian/file-roller.postinst:
    - removed, dh_desktop should handle this.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 24 Oct 2004 11:22:09 +0200

file-roller (2.8.2-1) experimental; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 11 Oct 2004 21:16:34 +0200

file-roller (2.8.1-1) experimental; urgency=low

  * New upstream release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 29 Sep 2004 18:24:52 +0200

file-roller (2.8.0-1) experimental; urgency=low

  * New upstream release.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 14 Sep 2004 21:06:42 +0200

file-roller (2.7.5-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 31 Aug 2004 22:37:20 +0200

file-roller (2.7.4-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 17 Aug 2004 19:20:14 +0200

file-roller (2.7.3-2) experimental; urgency=low

  * [debian/file-roller.postinst] New, update the new GNOME MIME system.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 14 Aug 2004 13:00:04 +0200

file-roller (2.7.3-1) experimental; urgency=low

  * New upstream development release.
  * [debian/rules] Ensure at build time that the library dependencies are
    complete.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Thu, 12 Aug 2004 21:33:19 +0200

file-roller (2.7.0-1) experimental; urgency=low

  * New (development) upstream release.
  * Dafydd Harries <daf@muse.19inch.net>:
  - debian/control.in:
    Improved description.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 13 Jun 2004 12:07:11 +0200

file-roller (2.6.1-4) unstable; urgency=low

  * debian/file-roller.mime:
    + completed with missing mime type and added some tests (Closes: #235218).
  * debian/file-roller.menu:
    + added an icon (Closes: #252851).

 -- Sebastien Bacher <seb128@debian.org>  Sat, 12 Jun 2004 22:29:15 +0200

file-roller (2.6.1-3) unstable; urgency=low

  * Upload in unstable.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 26 May 2004 21:09:01 +0200

file-roller (2.6.1-2) experimental; urgency=low

  * debian/control.in:
    + Added arj to the description and suggested packages (Closes: #239675).
    + Suggests rpm (Closes: #248491).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 11 May 2004 21:51:55 +0200

file-roller (2.6.1-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 20 Apr 2004 20:52:40 +0200

file-roller (2.6.0-1) experimental; urgency=low

  * New upstream release
  * Menu entry from Justin B Rye <jbr@edlug.org.uk> (Closes: #234370).
  * debian/control.in:
    + added Build-Depends on libxml-parser-perl.
    + updated Build-Depends.
   
 -- Sebastien Bacher <seb128@debian.org>  Tue, 23 Mar 2004 21:24:45 +0100

file-roller (2.4.4-1) unstable; urgency=low

  * New upstream release
    + this one really fix empty pass set on zip files (Closes: #225340).

 -- Sebastien Bacher <seb128@debian.org>  Mon, 26 Jan 2004 19:38:54 +0100

file-roller (2.4.3-1) unstable; urgency=low

  * New upstream release
    + fix empty pass set on zip files (Closes: #225340).
  * debian/patches/drag-drop-fix.patch:
    + removed since the changes are in the upstream new version.
  * debian/patches/fix_lt_po.patch:
    + removed since the file is fixed upstream.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 24 Jan 2004 18:12:02 +0100

file-roller (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
   + fix_lt_po.patch: new patch to fix lt.po file (Closes: #220164).
  
 -- Sebastien Bacher <seb128@debian.org>  Tue, 11 Nov 2003 15:49:29 +0100

file-roller (2.4.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 30 Oct 2003 16:26:57 +0100

file-roller (2.4.0.1-2) unstable; urgency=low

  * Added patch from CVS to fix drag&drop (Closes: #211734).
  * Fixed schemas installation.
  * Made changes for GNOME Team Packaging
    + added Build-Deps to gnome-pkg-tools.
    + changed debian/rules to manage the control team field.
    + new control.in.

 -- Sebastien Bacher <seb128@debian.org>  Sun,  5 Oct 2003 22:01:56 +0200

file-roller (2.4.0.1-1) unstable; urgency=low

  * New upstream release.
  * GNOME 2.4 upload in unstable since file-roller 2.3 was already in
    unstable.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 10 Sep 2003 19:43:51 +0200

file-roller (2.3.5-2) unstable; urgency=low

  * Fixed the bug with konqueror .war files (Closes: #199514).

 -- Sebastien Bacher <seb128@debian.org>  Fri, 29 Aug 2003 00:53:09 +0200

file-roller (2.3.5-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.6.1.0.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 27 Aug 2003 15:49:17 +0200

file-roller (2.3.4-1) unstable; urgency=low

  * New upstream version.
  * Switched to cdbs.
  * debian/control
    + changed section to gnome.
    + updated build-depends.
    + updated standards-version to 3.6.0.   
  
 -- Sebastien Bacher <seb128@debian.org>  Mon, 11 Aug 2003 17:24:03 +0200

file-roller (2.3.3-1) unstable; urgency=low

  * New upstream release.
    - Default format for new archive (Closes: #181075).
  * Fixed error in "/usr/lib/mime/packages/file-roller" (Closes:  #193478).
  * Use dh_scrollkeep (Closes: #197770, #198909).
  * Updated to standards-version 3.5.10.0.

 -- Sebastien Bacher <seb128@debian.org>  Sun,  6 Jul 2003 21:30:52 +0200

file-roller (2.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 27 Mar 2003 16:40:34 +0100

file-roller (2.2.3-1) unstable; urgency=low

  * New upstream release (Closes: #183038).
  * Updated to standards-version 3.5.9.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 20 Mar 2003 11:07:36 +0100

file-roller (2.2.1-1) unstable; urgency=low

  * New upstream release.  

 -- Sebastien Bacher <seb128@debian.org>  Tue, 28 Jan 2003 20:21:07 +0100

file-roller (2.2.0-1) unstable; urgency=low

  * New upstream release.  
  * Fix typo in manual (Closes: #175145).
  * Updated Build-Depends.
  * Updated to standards-version 3.5.8.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 10 Jan 2003 20:15:36 +0100

file-roller (2.0.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 28 Oct 2002 18:24:58 +0100

file-roller (2.0.3-1) experimental; urgency=low

  * New upstream release (Closes: #160900, #159501).

 -- Sebastien Bacher <seb128@debian.org>  Sun, 13 Oct 2002 18:21:20 +0200

file-roller (2.0.2-3) experimental; urgency=low

  * Corrected an error with the name of some files in debian directory (Closes: #163684).

 -- Sebastien Bacher <seb128@debian.org>  Mon,  7 Oct 2002 22:39:45 +0200

file-roller (2.0.2-2) experimental; urgency=low

  * Upload withtout the 2 suffix

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Oct 2002 18:41:56 +0200

file-roller2 (2.0.2-1) unstable; urgency=low

  * New maintainer.
  * New upstream release (Closes: #151771).
  * Added gettext to Build-Depends (Closes: #159231).  
  * Added scrollkeeper to Build-Depends.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 12 Sep 2002 17:23:50 +0200

file-roller2 (2.0.1-1) unstable; urgency=low

  * New upstream release
  * Changes to rules and postinst to accomodate the new use of GConf

 -- Bastien Nocera <hadess@hadess.net>  Fri, 30 Aug 2002 00:11:10 +0100

file-roller2 (2.0.0-3) unstable; urgency=low

  * Do the "DTD on local disk" trick before configure

 -- Bastien Nocera <hadess@hadess.net>  Wed, 21 Aug 2002 02:53:46 +0100

file-roller2 (2.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload at request of Bastien Nocera.
  * Rebuild against libgtk2.0-0png3.
  * Changed build-dep to libgtk2.0-dev (>= 2.0.6).

 -- Robert McQueen <robot101@debian.org>  Sun, 11 Aug 2002 01:27:53 +0100

file-roller2 (2.0.0-2) unstable; urgency=low

  * Remove build-dep on libnautilus1.1-dev (Closes: #155649)

 -- Bastien Nocera <hadess@hadess.net>  Tue,  6 Aug 2002 18:41:40 +0100

file-roller2 (2.0.0-1) unstable; urgency=low

  * New upstream release
  * Fix DTD location in the help files

 -- Bastien Nocera <hadess@hadess.net>  Tue, 30 Jul 2002 20:30:54 +0100

file-roller2 (1.109-2) unstable; urgency=low

  * Clean up the diff

 -- Bastien Nocera <hadess@hadess.net>  Sun, 14 Jul 2002 13:17:41 +0100

file-roller2 (1.109-1) unstable; urgency=low

  * New upstream release
  * Moved to unstable (as libnautilus2-dev is in unstable as well)
  * Paolo added the feature requested (Closes: #151771)
  * Fix configure being run twice

 -- Bastien Nocera <hadess@hadess.net>  Thu, 11 Jul 2002 05:11:24 +0100

file-roller2 (1.108-1) experimental; urgency=low

  * New upstream release
  * New dependency on scrollkeeper
  * Updated dependency to also accept libnautilus2-dev

 -- Bastien Nocera <hadess@hadess.net>  Sun, 30 Jun 2002 12:04:22 +0100

file-roller2 (1.107-1) experimental; urgency=low

  * New upstream release
  * Removed man page for fr-document-viewer(1)

 -- Bastien Nocera <hadess@hadess.net>  Sun,  9 Jun 2002 14:40:55 +0100

file-roller2 (1.106-1) experimental; urgency=low

  * New upstream release
  * updated watch file for new sourceforge setup

 -- Bastien Nocera <hadess@hadess.net>  Wed, 22 May 2002 18:56:54 +0100

file-roller2 (1.105-3) experimental; urgency=low

  * change the distribution to experimental, as libnautilus1.1-dev is not in
    unstable.

 -- Bastien Nocera <hadess@hadess.net>  Mon,  6 May 2002 03:11:54 +0100

file-roller2 (1.105-2) unstable; urgency=low

  * Added libnautilus1.1-dev to the build dependencies (Closes: #145807)

 -- Bastien Nocera <hadess@hadess.net>  Sat,  4 May 2002 23:16:07 +0100

file-roller2 (1.105-1) unstable; urgency=low

  * New upstream release
  * Port some fixes from file-roller package (bugs #142719 and #145310)

 -- Bastien Nocera <hadess@hadess.net>  Sat,  4 May 2002 17:26:08 +0100

file-roller2 (1.103-1) unstable; urgency=low

  * New upstream release
  * package name is now file-roller2

 -- Bastien Nocera <hadess@hadess.net>  Thu, 11 Apr 2002 00:54:37 +0100

file-roller (0.8-1) unstable; urgency=low

  * New upstream release

 -- Bastien Nocera <hadess@hadess.net>  Mon,  4 Mar 2002 18:03:55 +0000

file-roller (0.7-2) unstable; urgency=low

  * move lha and unrar to Suggests (Closes: #134705)
  * move unzip and zip to Suggests as they are from non-US repos

 -- Bastien Nocera <hadess@hadess.net>  Tue, 19 Feb 2002 17:12:26 +0000

file-roller (0.7-1) unstable; urgency=low

  * New upstream release

 -- Bastien Nocera <hadess@hadess.net>  Sat, 16 Feb 2002 17:51:03 +0000

file-roller (0.6-1) unstable; urgency=low

  * New upstream release
  * New man pages by Constantine Evans <ccevans@cox.net>
  * Added watch file by Constantine Evans <ccevans@cox.net> as well

 -- Bastien Nocera <hadess@hadess.net>  Sat, 16 Feb 2002 04:50:44 +0000

file-roller (0.4-2) unstable; urgency=low

  * Update (Closes: #129763)

 -- Bastien Nocera <hadess@hadess.net>  Mon, 21 Jan 2002 04:25:37 +0000

file-roller (0.4-1) unstable; urgency=low

  * New upstream release

 -- Bastien Nocera <hadess@hadess.net>  Fri, 18 Jan 2002 01:05:55 +0000

file-roller (0.2-2) unstable; urgency=low

  * Fix location of the %prefix'ed files

 -- Bastien Nocera <hadess@hadess.net>  Wed, 19 Dec 2001 17:43:10 +0000

file-roller (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Bastien Nocera <hadess@hadess.net>  Wed, 19 Dec 2001 17:15:09 +0000

